HomePhabricator

[SWIG] Deprecate SWIG 1.x

Authored by JDevlieghere on Jul 16 2019, 8:14 AM.

Description

[SWIG] Deprecate SWIG 1.x

The last swig 1.x release dates from 2009, now 10 years ago. Recently, I
fixed an issue that prevented us from using swig 4 (r364974), which
turned out to be not backward compatible with swig 1.x (r365718).

This patch deprecates this (really old) version of swig and makes swig 2
the minimum supported version in LLDB . This should be fine for the
build bots, which are all running swig 3 or later.

Differential revision: https://reviews.llvm.org/D64782

llvm-svn: 366213

Details

Committed
JDevlieghereJul 16 2019, 8:14 AM
Differential Revision
D64782: [SWIG] Deprecate SWIG 1.x
Parents
rG8ece3b671994: [OpenCL] Fixing sampler initialisations for C++ mode.
Branches
Unknown
Tags
Unknown